org.eclipse.jetty.servlet

## Class ServletMapping

- java.lang.Object
- - org.eclipse.jetty.servlet.ServletMapping

    public class ServletMapping
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ServletMapping()`

### Method Summary

Methods
`void` `dump(Appendable out, String indent)`
`String[]` `getPathSpecs()`
`String` `getServletName()`
`boolean` `isDefault()`
`void` `setDefault(boolean fromDefault)`
`void` `setPathSpec(String pathSpec)`
`void` `setPathSpecs(String[] pathSpecs)`
`void` `setServletName(String servletName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServletMapping

    public ServletMapping()

### Method Detail

#### getPathSpecs

    public String[] getPathSpecs()

Returns:
  Returns the pathSpecs.

#### getServletName

    public String getServletName()

Returns:
  Returns the servletName.

#### setPathSpecs

    public void setPathSpecs(String[] pathSpecs)

Parameters:
  `pathSpecs` - The pathSpecs to set.

#### setPathSpec

    public void setPathSpec(String pathSpec)

Parameters:
  `pathSpec` - The pathSpec to set.

#### setServletName

    public void setServletName(String servletName)

Parameters:
  `servletName` - The servletName to set.

#### isDefault

    public boolean isDefault()

Returns:

#### setDefault

    public void setDefault(boolean fromDefault)

Parameters:
  `default1` -

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### dump

    public void dump(Appendable out,
            String indent)
              throws IOException

Throws:
  `IOException`